#!/usr/bin/env python3

"""
A program that loads a natural number `n` and then `n` integers.
The program computes the sum of the digits of each of those numbers,
and then the product of these sums. In the end, the program
prints the sum of the digits of the computed product.
"""

def sd(n):
    """
    Returns the sum of the digits of an integer parameter `n`.
    """
    n = abs(n)
    res = 0
    while n > 0:
        res += n % 10
        n //= 10
    return res

def main():
    n = int(input("n = "))
    prod = 1
    for k in range(n):
        x = int(input(str(k+1) + ". integer: "))
        prod *= sd(x)
    print("The result:", sd(prod))
    
main()
